Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 705154 - net-misc/anydesk: gtkglext dep removal
Summary: net-misc/anydesk: gtkglext dep removal
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jorge Manuel B. S. Vicetto
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gtkglext-removal
  Show dependency tree
 
Reported: 2020-01-11 10:51 UTC by Andreas Sturmlechner
Modified: 2021-05-20 02:06 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2020-01-11 10:51:47 UTC
Blocking x11-libs/gtkglext cleanup.
Comment 1 Larry the Git Cow gentoo-dev 2020-01-19 13:26:07 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c2abc3b439dd33eb126f98cd09a87f0a77567f9d

commit c2abc3b439dd33eb126f98cd09a87f0a77567f9d
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-01-19 13:25:22 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-01-19 13:25:33 +0000

    net-misc/anydesk: Drop 5.0.0 and 5.1.2
    
    Closes: https://bugs.gentoo.org/705154
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 net-misc/anydesk/Manifest             |   4 --
 net-misc/anydesk/anydesk-5.0.0.ebuild | 110 ----------------------------------
 net-misc/anydesk/anydesk-5.1.2.ebuild | 110 ----------------------------------
 3 files changed, 224 deletions(-)
Comment 2 Andreas Sturmlechner gentoo-dev 2020-01-19 13:31:44 UTC
sigh... not sure how I overlooked that, but even latest version depends on x11-libs/gtkglext.

Are there any upstream plans to switch to GTK3?
Comment 3 Christian Buchinger 2020-01-19 13:34:57 UTC
I was just going to ask you why you closed... :)

I'll ask upstream about their plans and report back.
Comment 4 Christian Buchinger 2020-01-20 09:13:19 UTC
Received reply from upstream - they are working on it but it will take some time. No ETA.
Comment 5 Cănărău Constantin 2020-02-18 16:32:27 UTC
Anydesk 5.5.2 (not in portage) is working for me with pango 1.44.7
5.5.1 aborted right after connection is accepted.

But gtkglext and pangox depedencies are still present in 5.5.2:
ldd /opt/bin/anydesk | grep 'glext\|pangox'
	libgtkglext-x11-1.0.so.0 => /usr/lib64/libgtkglext-x11-1.0.so.0 (0x00007f13c9761000)
	libgdkglext-x11-1.0.so.0 => /usr/lib64/libgdkglext-x11-1.0.so.0 (0x00007f13c96f2000)
	libpangox-1.0.so.0 => /usr/lib64/libpangox-1.0.so.0 (0x00007f13c954f000)
Comment 6 Andreas Sturmlechner gentoo-dev 2020-06-25 17:09:43 UTC
This is now the very last blocker for bug 698950.
Comment 7 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2020-08-03 18:12:02 UTC
<user>@<host> $ qlist -Iv anydesk
net-misc/anydesk-6.0.0
<user>@<host> $ ldd /opt/bin/anydesk | grep 'glext\|pangox'
        libgtkglext-x11-1.0.so.0 => /usr/lib64/libgtkglext-x11-1.0.so.0 (0x00007f3939179000)
        libgdkglext-x11-1.0.so.0 => /usr/lib64/libgdkglext-x11-1.0.so.0 (0x00007f393910e000)
        libpangox-1.0.so.0 => /usr/lib64/libpangox-1.0.so.0 (0x00007f3938f3f000)

Still no change.
Comment 8 Larry the Git Cow gentoo-dev 2020-11-25 02:00:53 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3fd3e6acde23a19b0d0ca90f08532031433aa1f2

commit 3fd3e6acde23a19b0d0ca90f08532031433aa1f2
Author:     Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>
AuthorDate: 2020-11-25 02:00:42 +0000
Commit:     Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>
CommitDate: 2020-11-25 02:00:42 +0000

    net-misc/anydesk: 6.0.1 version bump.
    
    The gtkglext dependency hasn't been fixed by upstream yet.
    Bug: https://bugs.gentoo.org/705154
    Signed-off-by: Paolo Pedroni <paolo.pedroni@iol.it>
    Signed-off-by: Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>
    Fixes: https://bugs.gentoo.org/741722
    Package-Manager: Portage-3.0.6, Repoman-3.0.1
    RepoMan-Options: --force
    Signed-off-by: Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto@gentoo.org>

 net-misc/anydesk/Manifest             |   2 +
 net-misc/anydesk/anydesk-6.0.1.ebuild | 116 ++++++++++++++++++++++++++++++++++
 2 files changed, 118 insertions(+)
Comment 9 Andreas Sturmlechner gentoo-dev 2020-12-12 17:12:08 UTC
(In reply to Larry the Git Cow from comment #8)
> commit 3fd3e6acde23a19b0d0ca90f08532031433aa1f2
> Author:     Jorge Manuel B. S. Vicetto (jmbsvicetto)
> ...
>     RepoMan-Options: --force
So you knowingly broke CI there?
Comment 10 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2020-12-13 00:51:45 UTC
(In reply to Andreas Sturmlechner from comment #9)
> (In reply to Larry the Git Cow from comment #8)
> > commit 3fd3e6acde23a19b0d0ca90f08532031433aa1f2
> > Author:     Jorge Manuel B. S. Vicetto (jmbsvicetto)
> > ...
> >     RepoMan-Options: --force
> So you knowingly broke CI there?

No, I didn't broke it "knowingly".
I've been very busy with work for the past month and was trying to address this bug. I had hoped you or someone else might have pushed the user patch to the tree, but as that didn't happen I did the bump without noticing that the dependency had been masked in the meantime.
I didn't fix the commit yet as you took care of the CI issue by masking the bump and I was very busy.
If you can and wish to push the change from github, please feel free to do so. If you want me to take care of "my mess", I'll try to get to it as soon as I can.
Comment 11 Andreas Sturmlechner gentoo-dev 2020-12-13 00:55:11 UTC
I can take care of the user contribution for you.

(In reply to Jorge Manuel B. S. Vicetto from comment #10)
> (In reply to Andreas Sturmlechner from comment #9)
> > (In reply to Larry the Git Cow from comment #8)
> > > commit 3fd3e6acde23a19b0d0ca90f08532031433aa1f2
> > > Author:     Jorge Manuel B. S. Vicetto (jmbsvicetto)
> > > ...
> > >     RepoMan-Options: --force
> > So you knowingly broke CI there?
> 
> No, I didn't broke it "knowingly".
But if you need to use --force, that tells me you had to convince repoman to ignore an error.
Comment 12 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2020-12-13 00:59:49 UTC
(In reply to Andreas Sturmlechner from comment #11)
> I can take care of the user contribution for you.

Thank you.

> > > So you knowingly broke CI there?
> > 
> > No, I didn't broke it "knowingly".
> But if you need to use --force, that tells me you had to convince repoman to
> ignore an error.

Yes, I did use --force. I should have pay more attention to the error. I apologize for that.
Comment 13 Larry the Git Cow gentoo-dev 2020-12-17 19:25:00 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a39016aa441d7efb47032da6ba0bfdba4f1ef907

commit a39016aa441d7efb47032da6ba0bfdba4f1ef907
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-12-17 19:23:15 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-12-17 19:24:50 +0000

    profiles: Unmask net-misc/anydesk-6.0.1
    
    Bug: https://bugs.gentoo.org/705154
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/package.mask | 5 -----
 1 file changed, 5 deletions(-)
Comment 14 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2021-05-20 02:06:45 UTC
New release, but no change in the deps yet.

$ qlist -Iv anydesk
net-misc/anydesk-6.1.1
$ ldd /opt/bin/anydesk | grep 'glext\|pangox'
        libgtkglext-x11-1.0.so.0 => /usr/lib64/libgtkglext-x11-1.0.so.0 (0x00007f1ea6b9c000)
        libgdkglext-x11-1.0.so.0 => /usr/lib64/libgdkglext-x11-1.0.so.0 (0x00007f1ea6b30000)